Skip to main content

Get all resident charges

GEThttps://api.propexo.com/v1/resident-charges/

The Resident Charges model provides a limited, one-sided view of a resident's financial history with a PMC and should not be treated as a comprehensive report of all charges that the resident owes. Credits to a resident's ledger are stored as negative charges. Due to the PMS API structure, this is a naturally high-volume endpoint. Since Propexo pricing is based on records returned, this may result in signficantly higher overall costs. We encourage you to reach out to support before activating.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
property_id string

The Propexo unique identifier for the property

integration_id string

The Propexo unique identifier for the integration

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The property management system of record

resident_id string

The Propexo unique identifier for the resident

lease_id string

The Propexo unique identifier for the lease

transaction_date_start string | null

The start of the transaction date range to search. Inclusive.

transaction_date_end string | null

The end of the transaction date range to search. Inclusive.

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required
  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the resident charge

    created_atstringrequired

    The date record first entered Propexo

    updated_atstringrequired

    The date record was last updated in Propexo

    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    x_idstringrequired

    The external ID from the integration vendor

    x_property_idstringrequired

    The external ID of the property from the integration vendor

    x_gl_account_idstring | nullnullablerequired

    The external ID of the general ledger account from the integration vendor

    x_location_idstring | nullnullablerequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    x_lease_idstring | nullnullablerequired

    The external ID of the lease from the integration vendor

    x_resident_idstring | nullnullablerequired

    The external ID of the resident from the integration vendor

    x_unit_idstring | nullnullablerequired

    The external ID of the unit from the integration vendor

    x_charge_code_idstring | nullnullablerequired

    The external ID of the charge code from the integration vendor

    amount_in_centsnumber | nullnullablerequired

    The amount of the resident charge, in cents

    Example: 100000
    amount_rawstring | nullnullablerequired

    The raw value for amount from the PMS

    amount_open_in_centsnumber | nullnullablerequired

    The amount open on the resident charge, in cents

    Example: 100000
    amount_open_rawstring | nullnullablerequired

    The raw value for open amount from the PMS

    amount_paid_in_centsnumber | nullnullablerequired

    The amount paid on the resident charge, in cents

    Example: 100000
    amount_paid_rawstring | nullnullablerequired

    The raw value for amount paid from the PMS

    due_datestring | nullnullablerequired

    The due date associated with the resident charge

    namestring | nullnullablerequired

    The name associated with the resident charge

    descriptionstring | nullnullablerequired

    Description of the resident charge

    reference_numberstring | nullnullablerequired

    The reference number for the resident charge

    transaction_datestring | nullnullablerequired

    The transaction date of the resident charge

    transaction_sourcestring | nullnullablerequired

    The transaction source of the resident charge

    is_openboolean | nullnullablerequired

    Whether the resident charge is open and not yet settled

    post_monthstring | nullnullablerequired

    The post month for the resident charge

    Possible values: Value must match regular expression ^\d{4}-(?:0[1-9]|1[0-2])$

    custom_data object | nullrequired
    object
    integration_idstringrequired

    The Propexo unique identifier for the integration

    integration_vendorEnum1required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    property_idstringrequired

    The Propexo unique identifier for the property

    resident_idstring | nullnullablerequired

    The Propexo unique identifier for the resident

    financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the financial account

    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    lease_idstring | nullnullablerequired

    The Propexo unique identifier for the lease

    charge_code_idstring | nullnullablerequired

    The Propexo unique identifier for the charge code

    allocations object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the resident allocation

    x_idstringrequired

    The external ID from the integration vendor

    x_source_idstring | nullnullablerequired

    The external ID of the source transaction from the integration vendor

    x_destination_idstring | nullnullablerequired

    The external ID of the destination transaction from the integration vendor

    financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the financial account

    amount_in_centsnumber | nullnullablerequired

    The amount of the resident allocation, in cents

    Example: 100000
    amount_rawstring | nullnullablerequired

    The raw value for amount from the PMS

    resident_charge_idstring | nullnullablerequired

    The Propexo unique identifier for the resident charge

    resident_payment_idstring | nullnullablerequired

    The Propexo unique identifier for the resident payment

    created_atstringrequired

    The date record first entered Propexo

    updated_atstringrequired

    The date record was last updated in Propexo

    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    custom_data object | nullrequired
    object
  • ]
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/resident-charges/
curl https://api.propexo.com/v1/resident-charges/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_gl_account_id": "string",
"x_location_id": "string",
"x_lease_id": "string",
"x_resident_id": "string",
"x_unit_id": "string",
"x_charge_code_id": "string",
"amount_in_cents": 100000,
"amount_raw": "string",
"amount_open_in_cents": 100000,
"amount_open_raw": "string",
"amount_paid_in_cents": 100000,
"amount_paid_raw": "string",
"due_date": "string",
"name": "string",
"description": "string",
"reference_number": "string",
"transaction_date": "string",
"transaction_source": "string",
"is_open": true,
"post_month": "string",
"custom_data": "Unknown Type: object,null",
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"property_id": "string",
"resident_id": "string",
"financial_account_id": "string",
"unit_id": "string",
"lease_id": "string",
"charge_code_id": "string",
"allocations": [
{
"id": "string",
"x_id": "string",
"x_source_id": "string",
"x_destination_id": "string",
"financial_account_id": "string",
"amount_in_cents": 100000,
"amount_raw": "string",
"resident_charge_id": "string",
"resident_payment_id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"custom_data": "Unknown Type: object,null"
}
]
}
]
}